Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.wsconsent.service
Interface WsConsentService

All Known Implementing Classes:
  WsConsentServiceImpl

    public interface WsConsentService

WsConsentService interface. Default impl : `WsConsentService` Factory : `ServiceFactory`

Method Summary
`GetPatientConsentResponse` | `getPatientConsent(SAMLToken token, GetPatientConsentRequest getPatientConsentRequestType)` Method which perform the call to the webSevice which allows an end-user to check the existence of an informed patient consent (and to get the information about this consent – ‘active’ or ‘inactive’).
`PutPatientConsentResponse` | `putPatientConsent(SAMLToken token, PutPatientConsentRequest putPatientConsentRequest)` Method which perform the call to the webSevice which allows an end-user to declare an informed patient consent.
`RevokePatientConsentResponse` | `revokePatientConsent(SAMLToken token, RevokePatientConsentRequest revokePatientConsentRequestType)` Method which perform the call to the webSevice which allows an end-user to declare the revocation of an informed patient consent.

Method Detail

### putPatientConsent

    PutPatientConsentResponse putPatientConsent(SAMLToken token,
                                                PutPatientConsentRequest putPatientConsentRequest)
                                                throws WsConsentBusinessConnectorException,
                                                       TechnicalConnectorException,
                                                       SessionManagementException

  Method which perform the call to the webSevice which allows an end-user to declare an informed patient consent. Once the consent is declared, it is considered as ‘active’ consent.

  Parameters:
    `token` - the token
    `putPatientConsentRequest` - object
  Returns:
    PutPatientConsentResponse object
  Throws:
    `WsConsentBusinessConnectorException`
    `TechnicalConnectorException`
    `SessionManagementException`

### getPatientConsent

    GetPatientConsentResponse getPatientConsent(SAMLToken token,
                                                GetPatientConsentRequest getPatientConsentRequestType)
                                                throws WsConsentBusinessConnectorException,
                                                       TechnicalConnectorException,
                                                       SessionManagementException

  Method which perform the call to the webSevice which allows an end-user to check the existence of an informed patient consent (and to get the information about this consent – ‘active’ or ‘inactive’).

  Parameters:
    `token` - the token
    `getPatientConsentRequestType` - object
  Returns:
    GetPatientConsentResponse object
  Throws:
    `WsConsentBusinessConnectorException`
    `TechnicalConnectorException`
    `SessionManagementException`

### revokePatientConsent

    RevokePatientConsentResponse revokePatientConsent(SAMLToken token,
                                                      RevokePatientConsentRequest revokePatientConsentRequestType)
                                                      throws WsConsentBusinessConnectorException,
                                                             TechnicalConnectorException,
                                                             SessionManagementException

  Method which perform the call to the webSevice which allows an end-user to declare the revocation of an informed patient consent. Once the consent is revoked, it is considered as ‘inactive’ consent.

  Parameters:
    `token` -
    `revokePatientConsentRequestType` - object
  Returns:
    RevokePatientConsentResponse object
  Throws:
    `WsConsentBusinessConnectorException`
    `TechnicalConnectorException`
    `SessionManagementException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSNURSE 3.12.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.